<?php
/**
 * @license MIT
 *
 * Modified by storeabill on 06-June-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */ declare(strict_types = 1);

namespace Vendidero\StoreaBill\Vendor\PHPStan\PhpDocParser\Ast;

interface Node
{

	public function __toString(): string;

	/**
	 * @param mixed $value
	 */
	public function setAttribute(string $key, $value): void;

	public function hasAttribute(string $key): bool;

	/**
	 * @return mixed
	 */
	public function getAttribute(string $key);

}
