<?php
/**
 * @license MIT
 *
 * Modified by storeabill on 06-June-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */ declare(strict_types = 1);

namespace Vendidero\StoreaBill\Vendor\PHPStan\PhpDocParser\Ast\NodeVisitor;

use Vendidero\StoreaBill\Vendor\PHPStan\PhpDocParser\Ast\AbstractNodeVisitor;
use Vendidero\StoreaBill\Vendor\PHPStan\PhpDocParser\Ast\Attribute;
use Vendidero\StoreaBill\Vendor\PHPStan\PhpDocParser\Ast\Node;

final class CloningVisitor extends AbstractNodeVisitor
{

	public function enterNode(Node $originalNode)
	{
		$node = clone $originalNode;
		$node->setAttribute(Attribute::ORIGINAL_NODE, $originalNode);

		return $node;
	}

}
